#ifndef MYCVFLOODFILL_H
#define MYCVFLOODFILL_H
#include "mycv.h"

using namespace cv;

class mycvClassFloodFill
{
private:
    uchar mActVal;
    uchar mNewVal;
public:
    ~mycvClassFloodFill();
    mycvClassFloodFill();
    mycvClassFloodFill(uchar aActVal, uchar aNewVal);

    void FloodFill(Mat &aDst, Point aP, uint &aVol, sPoints4 &aSize);   // recursive
    void FloodFill2(Mat &aDst, Point aP, uint &aVol, sPoints4 &aSize);  // non-recursive
    void mycvRemoveHigherObjects(const Mat &aSrc, Mat &aDst, uint aMaxVol, uint maxX, uint maxY, uint minX, uint minY, uint aMinVol);
};

#endif // MYCVFLOODFILL_H
